package com.sqx.modules.resumes.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.modules.resumes.entity.Resumes;
import com.sqx.modules.resumes.entity.ResumesListDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author fang
 * @date 2022/8/3
 */
@Mapper
public interface ResumesDao extends BaseMapper<Resumes> {

    int insertResumes(Resumes resumes);

    IPage<Resumes> selectResumesList(@Param("page") Page<Resumes> page, @Param("startTime") String startTime, @Param("endTime") String endTime, @Param("resumes") Resumes resumes);

    IPage<Resumes> selectResumesListByCompany(@Param("page") Page<Resumes> page, @Param("companyId") Long companyId, @Param("resumes") Resumes resumes, @Param("screen") Integer screen, @Param("companyClassify") List<String> companyClassify);
    List<Resumes> selectResumesStatusByUpdateTime();

    List<Resumes> exportExcelCompanyList(String startTime, String endTime, Resumes resumes);

    Resumes selectResumesByResumesId(@Param("userId") Long userId, @Param("resumesId") Long resumesId);

    List<ResumesListDto> selectResumesListHr(@Param("resumesListDto")ResumesListDto resumesListDto);

    IPage<ResumesListDto> selectPage(Page<ResumesListDto> pages, Page<ResumesListDto> resumesListDtoPage);
}
